## ngcp-system-tools 14.0.1.3+0~mr14.0.1.3

=== Makefile ===
# for syntax checks
BASH_SCRIPTS = \
	kamcmd/memdbg \
	libexec/ngcp-apt-hint-helper \
	libexec/ngcp-crm-helper \
	libexec/ngcp-eaddress-helper \
	libexec/ngcp-glusterd-waiter \
	libexec/ngcp-ha-await-stable-status \
	libexec/ngcp-kannel-bearerbox-waiter \
	libexec/ngcp-kernel-helper \
	libexec/ngcp-openipmi-helper \
	libexec/ngcp-policy-rc.d \
	libexec/ngcp-sync-snmpd-creds \
	libexec/ngcp-wait-pingnodes \
	ngcp-approx-cache \
	ngcp-approx-snapshots \
	ngcp-check-active \
	ngcp-check-cluster-ssh \
	ngcp-check-cluster-ping \
	ngcp-check-ssh-keys \
	ngcp-cluster-status \
	ngcp-coredump-analyzer \
	ngcp-eaddress \
	ngcp-ha-clear-failcounts \
	ngcp-ha-crm \
	ngcp-ha-crm-reload \
	ngcp-ha-host-state \
	ngcp-ha-proc-state \
	ngcp-ha-show-failcounts \
	ngcp-initialize-udev-rules-net \
	ngcp-io-scheduler \
	ngcp-iptables-apply \
	ngcp-kam-parallel-xmlrpc \
	ngcp-kamcmd \
	ngcp-kamctl \
	ngcp-logs \
	ngcp-make-active \
	ngcp-make-standby \
	ngcp-mariadb-replication-check \
	ngcp-mysql-central \
	ngcp-mysql-local \
	ngcp-mysql-pair \
	ngcp-hostname \
	ngcp-nodename \
	ngcp-parallel-scp \
	ngcp-parallel-ssh \
	ngcp-ppa \
	ngcp-prepare-translations \
	ngcp-reset-db \
	ngcp-site \
	ngcp-ssh \
	ngcp-sync-db-wrapper \
	ngcp-toggle-performance-config \
	ngcp-type \
	ngcp-update \
	ngcp-usr-location \
	ngcp-virt-identify \
	# EOL
PERL_SCRIPTS = \
	lib/NGCP/Config.pm \
	lib/NGCP/Daemon.pm \
	lib/NGCP/Log.pm \
	lib/NGCP/Log/Functions.pm \
	lib/NGCP/Service/IO.pm \
	lib/NGCP/Service/Meta.pm \
	ngcp-active-calls \
	ngcp-check-rev-applied \
	ngcp-location-cleanup \
	ngcp-memdbg-csv \
	ngcp-migrate-openvpn-certs \
	ngcp-service \
	ngcp-snmpd-adduser \
	ngcp-snmpd-deluser \
	ngcp-sync-db \
	# EOL
PROGRAMS = \
	ngcp-chroot-shell \
	# EOL
CONFIGS = \
	build-ce/ngcp-logs.conf \
	build-pro/ngcp-logs.conf \
	# EOL
POD_MANS = \
	ngcp-active-calls.8 \
	ngcp-check-active.8 \
	ngcp-check-cluster-ssh.8 \
	ngcp-check-cluster-ping.8 \
	ngcp-check-rev-applied.1 \
	ngcp-check-ssh-keys.8 \
	ngcp-cluster-status.8 \
	ngcp-coredump-analyzer.8 \
	ngcp-ha-clear-failcounts.8 \
	ngcp-ha-crm-reload.8 \
	ngcp-ha-crm.8 \
	ngcp-ha-host-state.8 \
	ngcp-ha-proc-state.8 \
	ngcp-ha-show-failcounts.8 \
	ngcp-keydb-backup.8 \
	ngcp-location-cleanup.8 \
	ngcp-logs.8 \
	ngcp-make-active.8 \
	ngcp-make-standby.8 \
	ngcp-migrate-openvpn-certs.8 \
	ngcp-nodename.8 \
	ngcp-service.8 \
	ngcp-site.8 \
	ngcp-snmpd-adduser.8 \
	ngcp-snmpd-deluser.8 \
	ngcp-sync-db.8 \
	ngcp-type.8 \
	ngcp-virt-identify.8 \
	# EOL
LINK_MANS = \
	ngcp-redis-migrate.8 \
	# EOL

RESULTS ?= reports

CFLAGS ?= -ggdb -Wall -Wextra -Wno-unused-parameter

all: man build

%.8: %.man
	cp $< $@

%.8: %.pod
	pod2man --section=8 $< >$@

%.1: %
	pod2man --section=1 $< >$@

%.8: %
	pod2man --section=8 $< >$@

man: $(POD_MANS) $(LINK_MANS)

build-ce build-pro:
	mkdir -p $@

build-ce/%: % build-ce
	tpage $< >$@

build-pro/%: % build-pro
	tpage --define PRO=true  $< >$@

build: $(PROGRAMS) $(CONFIGS)

clean:
	rm -rf \
	  build-*/ \
	  $(PROGRAMS) \
	  $(POD_MANS) \
	  $(LINK_MANS) \
	  tests/etc/init.d/* tests/run/systemd/* \
	  tests/bin/* tests/usr/bin/* tests/usr/sbin/* \
	  tests/etc/ngcp-service/* tests/*pyc tests/__pycache__/

dist-clean: clean
	rm -rf RESULTS

test_perl_modules:
	mkdir -p ${RESULTS}
	prove --timer --formatter TAP::Formatter::JUnit -l -b -Ilib | \
	  tee -a ${RESULTS}/$@.xml

test_ngcp-site: tests/ngcp-site.py
	mkdir -p ${RESULTS}
	py.test-3  --junit-xml=${RESULTS}/$@.xml $<

test_ngcp-service: tests/ngcp-service.py
	mkdir -p ${RESULTS}
	py.test-3  --junit-xml=${RESULTS}/$@.xml $<

test_ngcp-kamcmd: tests/ngcp-kamcmd.py
	rm -rf ${RESULTS}/tmp.$(@)
	mkdir -p ${RESULTS}/tmp.$(@)
	WORKSPACE=${RESULTS}/tmp.$(@) py.test-3 --junit-xml=${RESULTS}/$@.xml $<

test_ngcp-memdbg-csv: tests/ngcp-memdbg-csv.py
	rm -rf ${RESULTS}/tmp.$(@)
	mkdir -p ${RESULTS}/tmp.$(@)
	WORKSPACE=${RESULTS}/tmp.$(@) py.test-3 --junit-xml=${RESULTS}/$@.xml $<

test_ngcp-debug-subscriber: tests/ngcp-debug-subscriber.py
	mkdir -p ${RESULTS}
	-pkill -f "./tests/fake_redis.py"
	./tests/fake_redis.py & echo $$! > ${RESULTS}/fake_pid.PID
	-timeout 15 py.test-3 --junit-xml=${RESULTS}/$@.xml $<
	if [ -e ${RESULTS}/fake_pid.PID ]; then \
		kill -TERM $$(cat ${RESULTS}/fake_pid.PID) || true; \
	fi;

test_ngcp-check-rev-applied: tests/ngcp-check-rev-applied.py
	mkdir -p ${RESULTS}
	py.test-3  --junit-xml=${RESULTS}/$@.xml $<

test_ngcp-reset-db: tests/ngcp-reset-db.py
	rm -rf ${RESULTS}/tmp.$(@)
	mkdir -p ${RESULTS}/tmp.$(@)
	WORKSPACE=${RESULTS}/tmp.$(@) py.test-3 --junit-xml=${RESULTS}/$@.xml $<

UNIT_TESTS = \
	test_perl_modules \
	test_ngcp-check-rev-applied \
	test_ngcp-debug-subscriber \
	test_ngcp-kamcmd \
	test_ngcp-reset-db \
	test_ngcp-memdbg-csv \
	test_ngcp-service \
	test_ngcp-site \
	# EOL

unittest: $(UNIT_TESTS)

# check for syntax errors
syntaxcheck: shellcheck perlcheck podcheck

shellcheck:
	@echo "Checking for shell syntax errors: "; \
	RC=0; \
	for SCRIPT in $(BASH_SCRIPTS); do \
	  echo -n "  $${SCRIPT}: "; \
	  if ! [ -r "$${SCRIPT}" ]; then \
	    echo "FAIL (missing)"; RC=1; \
	  elif ! bash -n $${SCRIPT}; then \
	    echo "FAIL (syntax)"; RC=1; \
	  else \
	    echo "PASS"; \
	  fi; \
	done; \
	echo "done."; \
	exit $${RC}

perlcheck:
	@echo "Checking for perl syntax errors: "; \
	RC=0; \
	for SCRIPT in $(PERL_SCRIPTS); do \
	  echo -n "  $${SCRIPT}: "; \
	  if ! [ -r "$${SCRIPT}" ]; then \
	    echo "FAIL (missing)"; RC=1; \
	  elif ! perl -Ilib -CSD -w -c $${SCRIPT}; then \
	    echo "FAIL (syntax)"; RC=1; \
	  fi; \
	done; \
	echo "done."; \
	exit $${RC}

podcheck:
	@echo "Checking for POD syntax errors: "; \
	RC=0; \
	for MAN in $(POD_MANS); do \
	  echo -n "  $${MAN}: "; \
	  POD="$${MAN%.*}"; \
	  if [ -r "$${POD}.pod" ]; then \
	    POD="$${POD}.pod"; \
	  fi; \
	  if ! [ -r "$${POD}" ]; then \
	    echo "FAIL (missing)"; RC=1; \
	  elif ! podchecker -warnings -warnings $${POD}; then \
	    echo "FAIL (syntax)"; RC=1; \
	  fi; \
	done; \
	echo "done."; \
	exit $${RC}

# EOF

## ngcp-system-tools 13.5.1.1+0~mr13.5.1.1

=== debian/changelog ===
ngcp-system-tools (13.5.1.1+0~mr13.5.1.1) unstable; urgency=medium

  [ Jose Su ]
  * [7c1aa05] MT#63415 Include ngcp-coredump-analyzer in /usr/sbin
  * [bbc096f] MT#63504 Increase ngcp-crm-helper timeout

  [ Guillem Jover ]
  * [e3f7357] MT#62763 ngcp-check-active: Fix shellcheck issues
  * [6461a0a] MT#63599 Do not use «grep -q» for crm_mon pipes

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 02 Oct 2025 10:55:34 +0200

ngcp-system-tools (13.5.1.0+0~mr13.5.1.0) unstable; urgency=medium

  [ Guillem Jover ]
  * [3bc4008] MT#62899 Update packaging for Debian trixie
  * [9f5e00c] MT#63045 Fix pycodestyle issues

  [ Volodymyr Fedorov ]
  * [10a2fb1] MT#63048 Fix invalid read syntax in ngcp-update prompt

  [ Michael Prokop ]
  * [f326c34] MT#63080 ngcp-reset-db: load provisioning schema before billing schema
  * [c00f7a0] MT#63113 ngcp-update: fix partition + kernel version handling
  * [9f2aeb4] MT#63180 New helper script ngcp-kernel-helper

  [ Kirill Solomko ]
  * [0c4b8ff] MT#63436 ngcp-check-rev-applied add site_id column support

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 08 Sep 2025 11:47:41 +0200

ngcp-system-tools (13.5.0.0+0~mr13.5.0.0) unstable; urgency=medium

  [ Mykola Malkov ]
  * [4e286e6] MT#62818 Add special handling for kernel upgrade

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Fri, 20 Jun 2025 10:46:40 +0200

ngcp-system-tools (13.4.0.0+0~mr13.4.0.0) unstable; urgency=medium

  [ Guillem Jover ]
  * [fa0f421] MT#61913 Remove supervisord support

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 10 Apr 2025 08:31:55 +0200

ngcp-system-tools (13.3.0.0+0~mr13.3.0.0) unstable; urgency=medium

  [ Michael Prokop ]
  * [400ce1f] MT#61751 Install io-scheduler.service in /usr

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 28 Jan 2025 15:17:08 +0100

ngcp-system-tools (13.2.0.0+0~mr13.2.0.0) unstable; urgency=medium

  [ Giancarlo Errigo Mattos ]
  * [ed07961] MT#61134 Create codec id to name mapping script
  * [63d0c66] MT#61386 Automatic conflict resolution on ngcp-migrate-codecs
  * [7b7da4f] MT#61193 Migrate subscriber sound sets
  * [a2886ce] MT#61259 Migrate allowed ips

  [ Mykola Malkov ]
  * [fd72ee5] MT#61270 Add bookworm-security-debug repo

  [ Michael Prokop ]
  * [dc2f41e] MT#61302 Ensure to have fence-agents-common available on trixie

  [ Guillem Jover ]
  * [bd818c9] MT#61459 Do not use Perl indirect object syntax

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 09 Dec 2024 11:29:23 +0100

ngcp-system-tools (13.1.0.0+0~mr13.1.0.0) unstable; urgency=medium

  [ Guillem Jover ]
  * [d7f726a] MT#59727 NGCP::Daemon: Do not recreate the log object in init()
  * [ce64818] MT#60652 ngcp-parallel-ssh: Abort on disruptive actions when acting on nodes
  * [e3c010f] MT#61142 NGCP::Daemon: Fix documentation for shutdown() method
  * [4356e64] MT#61142 NGCP::Daemon: Do not destruct the object automatically

  [ Richard Fuchs ]
  * [bf5a8bd] MT#60741 ngcp-location-sync: reformat with black
  * [4b77341] MT#60741 ngcp-location-sync: add file close
  * [eda45f7] MT#60741 ngcp-location-sync: remove EXISTS check
  * [ad0aee9] MT#60741 ngcp-location-sync: remove SISMEMBER check
  * [d8375e7] MT#60741 ngcp-location-sync: move eval into def
  * [8cb8b3d] MT#60741 ngcp-location-sync: generalise
  * [2c7de36] MT#60741 ngcp-location-sync: support table version
  * [2d574fd] MT#60741 ngcp-location-sync: support all SETs
  * [e15313f] MT#60741 ngcp-location-sync: switch to EVALSHA
  * [f7a6552] MT#55283 add ngcp-iptables-apply wrapper

  [ Michael Prokop ]
  * [dc425ad] MT#60916 lintian: ignore service-file-is-not-a-file for io-scheduler.service

  [ Mykola Malkov ]
  * [553a226] MT#60790 Download upgrade files in cache update
  * [03a7ff9] MT#60790 Change ownership of upgrade files

  [ Jose Su ]
  * [52cc293] MT#56560 Improve ngcp-active-calls script

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 01 Oct 2024 10:02:34 +0200

ngcp-system-tools (13.0.0.0+0~mr13.0.0.0) unstable; urgency=medium

  [ Guillem Jover ]
  * [b75898f] MT#60097 Remove no longer needed code for lingering pacemaker constraints
  * [561c51d] MT#60098 ngcp-nodename: Remove support for obsolete ngcp_ha_node file
  * [e30d92a] MT#40865 ngcp-check-ssh-keys: New script to check issues in SSH keys
  * [26f6079] MT#60097 ngcp-ha-show-failcounts: Fix parsing for bookworm crm
  * [975fb5e] MT#60310 ngcp-service: Improve error message on missing action arguments
  * [859b84c] MT#58844 Add new scripts to handle SNMP v3 credentials

  [ Kirill Solomko ]
  * [60e7f3a] MT#60362 fix multi-master slave setup on pair node
  * [fa7b046] MT#60539 ngcp-sync-db sync procedures and functions

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Sun, 28 Jul 2024 12:04:54 +0200

ngcp-system-tools (12.5.0.0+0~mr12.5.0.0) unstable; urgency=medium

  [ Mykola Malkov ]
  * [25cca52] MT#59780 Add cleanup of old kernel packages

  [ Michael Prokop ]
  * [fc99efa] MT#59866 ngcp-approx-cache: check expected Debian repository URLs

  [ Guillem Jover ]
  * [22855b3] MT#59859 Discontinue Rainbow platform merging into NGCP

  [ Kirill Solomko ]
  * [9b20748] MT#59614 ngcp-check-rev-applied add db_schema.release support
  * [a0f21a3] MT#59614 ngcp-check-rev-applied check for release column
  * [c59e3be] MT#59999 ngcp-sync-db-wrapper does not support geo cluster

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 22 May 2024 14:33:49 +0200

ngcp-system-tools (12.4.0.0+0~mr12.4.0.0) unstable; urgency=medium

  [ Victor Seva ]
  * [f9f6217] MT#59235 ngcp-reset-db: add proper options handler
  * [0ecd8db] MT#59235 test/ngcp-reset-db fix duplicated test name

  [ Kirill Solomko ]
  * [8cbe339] MT#59263 ngcp-reset-db skip foreign key checks

  [ Richard Fuchs ]
  * [a40f331] MT#59300 ngcp-usr-location: fix stray error case

  [ Marco Capetta ]
  * [90aee3c] MT#58564 Restore verbose mode for ngcp-usr-location --all

  [ Mykola Malkov ]
  * [fa11e88] MT#59386 Use sql schema dump files


=== debian/control ===
Source: ngcp-system-tools
Section: utils
Priority: optional
Maintainer: Sipwise Development Team <support@sipwise.com>
Build-Depends:
 bash-completion (>= 1:2.1-4.2~),
 debhelper-compat (= 13),
 dh-python,
 libcapture-tiny-perl,
 libconfig-tiny-perl,
 libcrypt-eksblowfish-perl,
 libdata-entropy-perl,
 libdbd-mysql-perl,
 libdbd-sqlite3-perl,
 libdbi-perl,
 libipc-system-simple-perl,
 libjson-perl,
 libreadonly-perl,
 libredis-perl,
 libtemplate-perl,
 libterm-readkey-perl,
 libtext-csv-perl,
 libtext-table-perl,
 libxmlrpc-lite-perl,
 libyaml-libyaml-perl,
 python3-mysqldb,
 python3-pymysql,
 python3-yaml,
 python3:any,
Standards-Version: 4.7.2
Homepage: https://www.sipwise.com/

Package: libngcp-log-perl
Section: perl
Architecture: all
Depends:
 ${misc:Depends},
 ${perl:Depends},
Description: NGCP Log perl modules
 This package provides the NGCP::Log perl modules, to handle program and
 daemon logging.

Package: libngcp-config-perl
Section: perl
Architecture: all
Depends:
 libngcp-log-perl,
 ${misc:Depends},
 ${perl:Depends},
Description: NGCP Config perl modules
 This package provides the NGCP::Config perl modules, to handle configuration
 file parsing.

Package: libngcp-daemon-perl
Section: perl
Architecture: all
Depends:
 libngcp-log-perl,
 ${misc:Depends},
 ${perl:Depends},
Description: NGCP Daemon perl modules
 This package provides the NGCP::Daemon perl modules, to handle daemon
 initialization and support.

Package: libngcp-service-perl
Section: perl
Architecture: all
Depends:
 libngcp-log-perl,
 libyaml-libyaml-perl,
 ${misc:Depends},
 ${perl:Depends},
Description: NGCP Service perl modules
 This package provides the NGCP::Service perl modules, to handle service
 definitions, and their conditions.

Package: ngcp-system-tools-ce
Architecture: any
Depends:
 curl,
 default-mysql-client,
 jq,
 libcapture-tiny-perl,
 libconfig-tiny-perl,
 libcrypt-eksblowfish-perl,
 libdata-entropy-perl,
 libdbd-mysql-perl,
 libdbd-sqlite3-perl,
 libdbi-perl,
 libipc-system-simple-perl,
 libjson-perl,
 libngcp-log-perl,
 libngcp-service-perl,
 libreadonly-perl,
 libredis-perl,
 libtext-csv-perl,
 libtext-table-perl,
 libxmlrpc-lite-perl,
 libyaml-libyaml-perl,
 python3,
 python3-mysqldb,
 python3-pymysql,
 python3-pytimeparse,
 python3-redis,
 ${misc:Depends},
 ${perl:Depends},
 ${shlibs:Depends},
Provides:
 ngcp-system-tools,
Conflicts:
 ngcp-system-tools,
Replaces:
 ngcp-system-tools,
Description: system tools for NGCP sip:provider CE
 Some system scripts for NGCP.

Package: ngcp-system-tools-pro
Architecture: any
Depends:
 corosync,
 crmsh,
 curl,
 default-mysql-client,
 fence-agents-common | fence-agents,
 jq,
 libcapture-tiny-perl,
 libconfig-tiny-perl,
 libcrypt-eksblowfish-perl,
 libdata-entropy-perl,
 libdbd-mysql-perl,
 libdbd-sqlite3-perl,
 libdbi-perl,
 libipc-system-simple-perl,
 libjson-perl,
 libngcp-log-perl,
 libngcp-service-perl,
 libreadonly-perl,
 libredis-perl,
 libterm-readkey-perl,
 libtext-csv-perl,
 libtext-table-perl,
 libxmlrpc-lite-perl,
 libyaml-libyaml-perl,
 openipmi,
 pacemaker,
 python3,
 python3-click,
 python3-mysqldb,
 python3-pymysql,
 python3-pytimeparse,
 python3-redis,
 python3-yaml,
 xz-utils,
 zutils,
 ${misc:Depends},
 ${perl:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Conflicts:
 ngcp-system-tools,
Provides:
 ngcp-system-tools,
Replaces:
 ngcp-system-tools,
Description: system tools for NGCP sip:provider PRO
 Some system scripts for NGCP.

Package: ngcp-dev-tools
Section: devel
Architecture: all
Depends:
 curl,
 sudo,
 ${misc:Depends},
Description: devel tools for NGCP
 Some development scripts for NGCP.

## ngcp-system-tools 13.5.1.2+0~mr13.5.1.2

=== debian/changelog ===
ngcp-system-tools (13.5.1.2+0~mr13.5.1.2) unstable; urgency=medium

  [ Guillem Jover ]
  * [923a095] MT#63504 Rework HA switchover scripts to reduce amount of commands used

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 08 Oct 2025 16:40:21 +0200

## ngcp-system-tools 14.0.1.1+0~mr14.0.1.1

=== debian/changelog ===
ngcp-system-tools (14.0.1.1+0~mr14.0.1.1) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 09 Dec 2025 15:34:01 +0100

ngcp-system-tools (14.0.1.0+0~mr14.0.1.0) unstable; urgency=medium

  [ Jose Su ]
  * [f4c914a] MT#63415 Add ngcp-coredump-analyzer script
  * [f24a69c] MT#63415 Include ngcp-coredump-analyzer in /usr/sbin
  * [13ad716] MT#63504 Increase ngcp-crm-helper timeout
  * [278bb78] MT#62271 Remove ngcp-bcrypt-webpassword script

  [ Guillem Jover ]
  * [3178cc4] MT#62763 ngcp-check-active: Fix shellcheck issues
  * [57e3602] MT#63599 Do not use «grep -q» for crm_mon pipes
  * [39175ff] MT#63504 Rework HA switchover scripts to reduce amount of commands used
  * [1e8564f] MT#62763 Fix supervised execution
  * [fe355c9] MT#62763 ngcp-approx-cache: Remove no longer used download_urls function
  * [77815e2] MT#62763 ngcp-logs: Use log_folder instead of non-existent log_folder_log
  * [6698734] MT#62763 Fix shellcheck issues
  * [adef8b6] TT#64369 NGCP::Service::Meta: Add maintenance knob support
  * [14361e5] TT#64369 Do not restart HA managing services during maintenance mode

  [ Richard Fuchs ]
  * [89fcbad] MT#63791 log error to stderr

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 24 Nov 2025 16:58:53 +0100

ngcp-system-tools (14.0.0.0+0~mr14.0.0.0) unstable; urgency=medium

  [ Guillem Jover ]
  * [3bc4008] MT#62899 Update packaging for Debian trixie
  * [9f5e00c] MT#63045 Fix pycodestyle issues

  [ Volodymyr Fedorov ]
  * [10a2fb1] MT#63048 Fix invalid read syntax in ngcp-update prompt

  [ Michael Prokop ]
  * [f326c34] MT#63080 ngcp-reset-db: load provisioning schema before billing schema
  * [c00f7a0] MT#63113 ngcp-update: fix partition + kernel version handling
  * [9f2aeb4] MT#63180 New helper script ngcp-kernel-helper

  [ Kirill Solomko ]
  * [0c4b8ff] MT#63436 ngcp-check-rev-applied add site_id column support

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 08 Sep 2025 11:47:42 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,10 @@
 Maintainer: Sipwise Development Team <support@sipwise.com>
 Build-Depends:
  bash-completion (>= 1:2.1-4.2~),
+ dctrl-tools,
  debhelper-compat (= 13),
  dh-python,
+ elfutils,
  libcapture-tiny-perl,
  libconfig-tiny-perl,
  libcrypt-eksblowfish-perl,

## ngcp-system-tools 14.0.1.3+0~mr14.0.1.3

=== debian/changelog ===
ngcp-system-tools (14.0.1.3+0~mr14.0.1.3) unstable; urgency=medium

  [ Jose Su ]
  * [57ddb93] MT#64210 Fix partition in grub after kernel update via ngcp-update

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Fri, 09 Jan 2026 09:40:46 +0100

ngcp-system-tools (14.0.1.2+0~mr14.0.1.2) unstable; urgency=medium

  [ Fedorov Volodymyr ]
  * [b10ea2c] MT#64186 Fix array splitting issue in Redis parsing.

  [ Guillem Jover ]
  * [5ffe586] MT#64186 Fix shellcheck fix regressions

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 30 Dec 2025 01:01:26 +0100

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with bash-completion,python3

override_dh_auto_test:
	dh_testdir
	$(MAKE) syntaxcheck

execute_after_dh_fixperms:
	chmod u+s debian/ngcp-system-tools-ce/usr/bin/ngcp-chroot-shell
	chmod u+s debian/ngcp-system-tools-pro/usr/bin/ngcp-chroot-shell

override_dh_installsystemd:
	dh_installsystemd --package=ngcp-system-tools-pro --name=ngcp-io-scheduler
	dh_installsystemd --package=ngcp-system-tools-ce  --name=ngcp-io-scheduler
	dh_installsystemd --package=ngcp-system-tools-ce  --name=ngcp-eaddress
	dh_installsystemd --package=ngcp-system-tools-pro --name=ngcp-initialize-udev-rules-net
	dh_installsystemd --package=ngcp-system-tools-ce  --name=ngcp-initialize-udev-rules-net
